## spyder 5.4.2+ds

=== debian/changelog ===
spyder (5.4.2+ds-5+deb12u1) stable; urgency=medium

  * Fix interface language auto-configuration (closes: #1054475)

 -- Julian Gilbey <jdg@debian.org>  Thu, 30 Nov 2023 20:22:17 +0000

spyder (5.4.2+ds-5) unstable; urgency=medium

  * Fix translation-loading patch (see discussion at
    https://github.com/spyder-ide/spyder/pull/20582)

 -- Julian Gilbey <jdg@debian.org>  Thu, 23 Feb 2023 10:59:49 +0000

spyder (5.4.2+ds-4) unstable; urgency=medium

  * Force pip to install boilerplate package during autopkgtest run
    (closes: #1031759)
  * Only load translations file once

 -- Julian Gilbey <jdg@debian.org>  Wed, 22 Feb 2023 10:39:48 +0000

spyder (5.4.2+ds-3) unstable; urgency=medium

  * Improve error messages with l10n handling, matching upstream pull request

 -- Julian Gilbey <jdg@debian.org>  Tue, 21 Feb 2023 10:28:27 +0000

spyder (5.4.2+ds-2) unstable; urgency=medium

  * Fix l10n handling with Python 3.11 (closes: #1031266)

 -- Julian Gilbey <jdg@debian.org>  Sun, 19 Feb 2023 09:27:37 +0000

spyder (5.4.2+ds-1) unstable; urgency=medium

  * New upstream version
  * Skip one further test failing with Python 3.11
  * Update d/copyright

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jan 2023 09:37:20 +0000
