=== debian/control ===
Source: spyder
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Julian Gilbey <jdg@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pylint (<< 3.0~),
               python3-all,
               python3-atomicwrites,
               python3-chardet,
               python3-cloudpickle,
               python3-cookiecutter,
               python3-diff-match-patch,
               python3-docutils,
               python3-intervaltree,
               python3-ipython (>= 7.31.1),
               python3-jedi (<< 0.19~),
               python3-jedi (>= 0.17.2),
               python3-jellyfish,
               python3-jsonschema (>= 3.2.0),
               python3-keyring,
               python3-nbconvert,
               python3-numpydoc,
               python3-parso (<< 0.9~),
               python3-parso (>= 0.7.0),
               python3-pexpect,
               python3-pickleshare,
               python3-psutil,
               python3-pycodestyle,
               python3-pyflakes,
               python3-pygments,
               python3-pylint-venv,
               python3-pyls-spyder (>= 0.4.0),
               python3-pylsp (<< 1.8~),
               python3-pylsp (>= 1.7.1),
               python3-pylsp-black,
               python3-pyqt5 (<< 5.16~),
               python3-pyqt5.qtwebengine (<< 5.16~),
               python3-qdarkstyle (<< 3.2~),
               python3-qdarkstyle (>= 3.0.2),
               python3-qstylizer,
               python3-qtawesome (>= 1.2.1),
               python3-qtconsole (<< 5.5~),
               python3-qtconsole (>= 5.4.0),
               python3-qtpy (>= 2.1.0),
               python3-rope,
               python3-rtree,
               python3-setuptools,
               python3-sphinx,
               python3-spyder-kernels (<< 2.5~),
               python3-spyder-kernels (>= 2.4.2),
               python3-textdistance,
               python3-three-merge,
               python3-watchdog (>= 0.10.3),
               python3-xdg (>= 0.26),
               python3-zmq (>= 22.1.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/spyder
Vcs-Git: https://salsa.debian.org/science-team/spyder.git
Homepage: https://github.com/spyder-ide/spyder

Package: spyder
Architecture: all
Section: devel
Depends: python3-spyder (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-spyder-unittest
Description: Richly-featured Python IDE
 Spyder is a powerful interactive development environment for Python
 providing many features and facilities, including advanced editing facilities
 (including tooltips and completion facilities), issue highlighting,
 interactive testing, debugging and introspection facilities, an embedded
 console (IPython) supporting graphics and much more.
 .
 This package provides the application.
 .
 There is one plugin currently available in Debian: spyder-unittest,
 in the package python3-spyder-unittest.

Package: python3-spyder
Architecture: all
Section: python
Depends: ipython3,
         libjs-jquery,
         libjs-mathjax,
         pyflakes3,
         pylint (<< 3.0~),
         python3-autopep8,
         python3-docutils,
         python3-flake8,
         python3-jedi (<< 0.19~),
         python3-jedi (>= 0.17.2),
         python3-keyring,
         python3-mccabe,
         python3-parso (<< 0.9~),
         python3-parso (>= 0.7.0),
         python3-pycodestyle,
         python3-pydocstyle (>= 6.2.3),
         python3-pylsp (<< 1.8~),
         python3-pylsp (>= 1.7.1),
         python3-qtconsole (<< 5.5~),
         python3-qtconsole (>= 5.4.0),
         python3-qtpy (>= 2.1.0),
         python3-rope,
         python3-setuptools,
         python3-spyder-kernels (<< 2.5~),
         python3-spyder-kernels (>= 2.4.2),
         python3-xdg,
         python3-zmq (>= 22.1.0),
         spyder-common (= ${binary:Version}),
         yapf3,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: python3-spyder-line-profiler (<= 0.2.1-1),
           python3-spyder-memory-profiler (<= 0.2.1-1),
           python3-spyder-reports (<= 0.1.1-4),
           python3-spyder-unittest (<= 0.4.1-1)
Recommends: spyder
Suggests: cython3,
          python3-matplotlib,
          python3-numpy,
          python3-pandas,
          python3-pil,
          python3-scipy,
          python3-sympy
Description: Richly-featured Python IDE - Python modules
 Spyder is a powerful interactive development environment for Python
 providing many features and facilities, including advanced editing facilities
 (including tooltips and completion facilities), issue highlighting,
 interactive testing, debugging and introspection facilities, an embedded
 console (IPython) supporting graphics and much more.
 .
 This package provides the Python 3 modules for Spyder.  For the
 desktop application itself, you will need to install the "spyder"
 package.

Package: spyder-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for the Spyder Python IDE
 Spyder is an open-source Python development environment providing
 many features and facilities, including an embedded console, variable
 exploration, tooltips, linting and much more.
 .
 This package provides the common files for Spyder.  For the
 desktop application itself, you will need to install the "spyder"
 package.
