## spyder 5.4.4+ds

=== debian/changelog ===
spyder (5.4.4+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1034085)
  * Run the pytest-mainwindow autopkgtest with a timeout as it sometimes
    hangs

 -- Julian Gilbey <jdg@debian.org>  Wed, 26 Jul 2023 10:19:52 +0100
