## spyder 5.5.0+ds

=== debian/changelog ===
spyder (5.5.0+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1054475)
  * Re-enable excluded autopkgtest tests that have now been fixed (we
    believe)

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Nov 2023 13:47:04 +0000
