=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               pylint (<< 3.0~),
+               pylint (<< 3.1~),
                python3-all,
                python3-atomicwrites,
                python3-chardet,
@@ -16,8 +16,8 @@
                python3-diff-match-patch,
                python3-docutils,
                python3-intervaltree,
-               python3-ipython (>= 7.31.1),
-               python3-jedi (<< 0.19~),
+               python3-ipython (>= 8.13.0),
+               python3-jedi (<< 0.20~),
                python3-jedi (>= 0.17.2),
                python3-jellyfish,
                python3-jsonschema (>= 3.2.0),
@@ -34,24 +34,24 @@
                python3-pygments,
                python3-pylint-venv (>= 3.0.2),
                python3-pyls-spyder (>= 0.4.0),
-               python3-pylsp (<< 1.8~),
-               python3-pylsp (>= 1.7.4),
+               python3-pylsp (<< 1.10~),
+               python3-pylsp (>= 1.9.0),
                python3-pylsp-black (<< 3.0.0~),
                python3-pyqt5 (<< 5.16~),
                python3-pyqt5.qtwebengine (<< 5.16~),
-               python3-qdarkstyle (<< 3.2~),
-               python3-qdarkstyle (>= 3.0.2),
+               python3-qdarkstyle (<< 3.3~),
+               python3-qdarkstyle (>= 3.2.0),
                python3-qstylizer,
                python3-qtawesome (>= 1.2.1),
-               python3-qtconsole (<< 5.5~),
-               python3-qtconsole (>= 5.4.2),
+               python3-qtconsole (<< 5.6~),
+               python3-qtconsole (>= 5.5.0),
                python3-qtpy (>= 2.1.0),
                python3-rope,
                python3-rtree,
                python3-setuptools,
                python3-sphinx,
-               python3-spyder-kernels (<< 2.5~),
-               python3-spyder-kernels (>= 2.4.4),
+               python3-spyder-kernels (<< 2.6~),
+               python3-spyder-kernels (>= 2.5.0),
                python3-textdistance,
                python3-three-merge,
                python3-watchdog (>= 0.10.3),
@@ -85,15 +85,15 @@
 Package: python3-spyder
 Architecture: all
 Section: python
-Depends: ipython3,
+Depends: ipython3 (>= 8.13.0),
          libjs-jquery,
          libjs-mathjax,
          pyflakes3,
-         pylint (<< 3.0~),
+         pylint (<< 3.1~),
          python3-autopep8,
          python3-docutils,
          python3-flake8,
-         python3-jedi (<< 0.19~),
+         python3-jedi (<< 0.20~),
          python3-jedi (>= 0.17.2),
          python3-keyring,
          python3-mccabe,
@@ -101,15 +101,15 @@
          python3-parso (>= 0.7.0),
          python3-pycodestyle,
          python3-pydocstyle (>= 6.2.3),
-         python3-pylsp (<< 1.8~),
-         python3-pylsp (>= 1.7.4),
-         python3-qtconsole (<< 5.5~),
-         python3-qtconsole (>= 5.4.2),
+         python3-pylsp (<< 1.10~),
+         python3-pylsp (>= 1.9.0),
+         python3-qtconsole (<< 5.6~),
+         python3-qtconsole (>= 5.5.0),
          python3-qtpy (>= 2.1.0),
          python3-rope,
          python3-setuptools,
-         python3-spyder-kernels (<< 2.5~),
-         python3-spyder-kernels (>= 2.4.4),
+         python3-spyder-kernels (<< 2.6~),
+         python3-spyder-kernels (>= 2.5.0),
          python3-xdg,
          python3-zmq (>= 22.1.0),
          spyder-common (= ${binary:Version}),
