## spyder 5.5.1+ds

=== debian/changelog ===
spyder (5.5.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Update dependencies and patches
  * Update autopkgtest dependencies (python3-pillow -> python3-pil)
  * Unfortunately, the Cython test still fails, though Cython works fine
    in practice

 -- Julian Gilbey <jdg@debian.org>  Thu, 22 Feb 2024 08:57:40 +0000

spyder (5.5.0+ds-3) unstable; urgency=medium

  * Fix further failing tests for Python 3.12 (closes: #1056530)
  * Skip one unpatched test and a Cython test, the latter until Cython 3.x
    is in testing

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 Jan 2024 15:03:57 +0000

spyder (5.5.0+ds-2) unstable; urgency=medium

  * Fix failing test for Python 3.12 (closes: #1056530)
  * Fix misquoted regex

 -- Julian Gilbey <jdg@debian.org>  Thu, 07 Dec 2023 07:27:24 +0000
