=== debian/control ===
--- 
+++ 
@@ -34,8 +34,9 @@
                python3-pygments,
                python3-pylint-venv (>= 3.0.2),
                python3-pyls-spyder (>= 0.4.0),
-               python3-pylsp (<< 1.10~),
-               python3-pylsp (>= 1.9.0),
+               python3-pylsp (<< 1.11~),
+               python3-pylsp (>= 1.10.0),
+               python3-pylsp-black (>= 2.0.0),
                python3-pylsp-black (<< 3.0.0~),
                python3-pyqt5 (<< 5.16~),
                python3-pyqt5.qtwebengine (<< 5.16~),
@@ -44,7 +45,7 @@
                python3-qstylizer,
                python3-qtawesome (>= 1.2.1),
                python3-qtconsole (<< 5.6~),
-               python3-qtconsole (>= 5.5.0),
+               python3-qtconsole (>= 5.5.1),
                python3-qtpy (>= 2.1.0),
                python3-rope,
                python3-rtree,
@@ -101,10 +102,12 @@
          python3-parso (>= 0.7.0),
          python3-pycodestyle,
          python3-pydocstyle (>= 6.2.3),
-         python3-pylsp (<< 1.10~),
-         python3-pylsp (>= 1.9.0),
+         python3-pylsp (<< 1.11~),
+         python3-pylsp (>= 1.10.0),
+         python3-pylsp-black (>= 2.0.0),
+         python3-pylsp-black (<< 3.0.0~),
          python3-qtconsole (<< 5.6~),
-         python3-qtconsole (>= 5.5.0),
+         python3-qtconsole (>= 5.5.1),
          python3-qtpy (>= 2.1.0),
          python3-rope,
          python3-setuptools,
