=== debian/tests/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Tests: pytest-rest
-Depends: cython3,
+Depends: cython3 (>= 3.0),
          git,
          python3-all-dev,
          python3-flaky,
          python3-matplotlib,
          python3-pandas,
-         python3-pillow,
+         python3-pil,
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
@@ -24,13 +24,13 @@
 Restrictions: allow-stderr
 
 Tests: pytest-mainwindow
-Depends: cython3,
+Depends: cython3 (>= 3.0),
          git,
          python3-all-dev,
          python3-flaky,
          python3-matplotlib,
          python3-pandas,
-         python3-pillow,
+         python3-pil,
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
@@ -49,13 +49,13 @@
 Restrictions: allow-stderr, flaky
 
 Tests: pytest-ipythonconsole
-Depends: cython3,
+Depends: cython3 (>= 3.0),
          git,
          python3-all-dev,
          python3-flaky,
          python3-matplotlib,
          python3-pandas,
-         python3-pillow,
+         python3-pil,
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
