## spyder 6.0.3+ds

=== debian/changelog ===
spyder (6.0.3+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1088068, #1089054, #1083781)
  * Explicitly depend on PyQt5 libraries needed (closes: #1089945)
  * Refresh patches, and fix test ordering issue
  * Refresh list of excluded tests for new upstream Spyder

 -- Julian Gilbey <jdg@debian.org>  Sun, 29 Dec 2024 17:50:14 +0000

spyder (5.5.1+ds-2) unstable; urgency=medium

  * Bump pylint dependency version (closes: #1070188)
  * Skip test depending on pytest-lazy-fixture, as it is incompatible with
    pytest 8.x (see #1070485)

 -- Julian Gilbey <jdg@debian.org>  Mon, 06 May 2024 10:41:11 +0100
