=== debian/control ===
--- 
+++ 
@@ -7,14 +7,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               pylint (<< 3.1~),
+               fzf,
+               pylint (<< 4~),
+               python3-aiohttp,
                python3-all,
+               python3-asyncssh,
                python3-atomicwrites,
                python3-chardet,
                python3-cloudpickle,
                python3-cookiecutter,
                python3-diff-match-patch,
                python3-docutils,
+               python3-github,
+               python3-importlib-metadata,
                python3-intervaltree,
                python3-ipython (>= 8.13.0),
                python3-jedi (<< 0.20~),
@@ -24,6 +29,7 @@
                python3-keyring,
                python3-nbconvert,
                python3-numpydoc,
+               python3-packaging,
                python3-parso (<< 0.9~),
                python3-parso (>= 0.7.0),
                python3-pexpect,
@@ -34,31 +40,36 @@
                python3-pygments,
                python3-pylint-venv (>= 3.0.2),
                python3-pyls-spyder (>= 0.4.0),
-               python3-pylsp (<< 1.11~),
-               python3-pylsp (>= 1.10.0),
+               python3-pylsp (<< 1.13~),
+               python3-pylsp (>= 1.12.0),
+               python3-pylsp-black (<< 3.0.0~),
                python3-pylsp-black (>= 2.0.0),
-               python3-pylsp-black (<< 3.0.0~),
-               python3-pyqt5 (<< 5.16~),
-               python3-pyqt5.qtwebengine (<< 5.16~),
+               python3-pyqt5,
+               python3-pyqt5.qtquick,
+               python3-pyqt5.qtsvg,
+               python3-pyqt5.qtwebengine,
+               python3-pyuca,
                python3-qdarkstyle (<< 3.3~),
                python3-qdarkstyle (>= 3.2.0),
                python3-qstylizer,
-               python3-qtawesome (>= 1.2.1),
-               python3-qtconsole (<< 5.6~),
-               python3-qtconsole (>= 5.5.1),
-               python3-qtpy (>= 2.1.0),
+               python3-qtawesome (>= 1.3.1),
+               python3-qtconsole (<< 5.7~),
+               python3-qtconsole (>= 5.6.1),
+               python3-qtpy (>= 2.4.0),
                python3-rope,
                python3-rtree,
                python3-setuptools,
                python3-sphinx,
-               python3-spyder-kernels (<< 2.6~),
-               python3-spyder-kernels (>= 2.5.0),
+               python3-spyder-kernels (<< 3.1.0~),
+               python3-spyder-kernels (>= 3.0.2),
+               python3-superqt,
                python3-textdistance,
                python3-three-merge,
                python3-watchdog (>= 0.10.3),
                python3-xdg (>= 0.26),
-               python3-zmq (>= 22.1.0)
-Standards-Version: 4.6.2
+               python3-yarl,
+               python3-zmq (>= 24.0.0)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/spyder
 Vcs-Git: https://salsa.debian.org/science-team/spyder.git
@@ -86,11 +97,12 @@
 Package: python3-spyder
 Architecture: all
 Section: python
-Depends: ipython3 (>= 8.13.0),
+Depends: fzf,
+         ipython3 (>= 8.13.0),
          libjs-jquery,
          libjs-mathjax,
          pyflakes3,
-         pylint (<< 3.1~),
+         pylint (<< 4~),
          python3-autopep8,
          python3-docutils,
          python3-flake8,
@@ -102,27 +114,31 @@
          python3-parso (>= 0.7.0),
          python3-pycodestyle,
          python3-pydocstyle (>= 6.2.3),
-         python3-pylsp (<< 1.11~),
-         python3-pylsp (>= 1.10.0),
+         python3-pylsp (<< 1.13~),
+         python3-pylsp (>= 1.12.0),
+         python3-pylsp-black (<< 3.0.0~),
          python3-pylsp-black (>= 2.0.0),
-         python3-pylsp-black (<< 3.0.0~),
-         python3-qtconsole (<< 5.6~),
-         python3-qtconsole (>= 5.5.1),
+         python3-pyqt5,
+         python3-pyqt5.qtquick,
+         python3-pyqt5.qtsvg,
+         python3-pyqt5.qtwebengine,
+         python3-qtconsole (<< 5.7~),
+         python3-qtconsole (>= 5.6.1),
          python3-qtpy (>= 2.1.0),
          python3-rope,
          python3-setuptools,
-         python3-spyder-kernels (<< 2.6~),
-         python3-spyder-kernels (>= 2.5.0),
+         python3-spyder-kernels (<< 3.1.0~),
+         python3-spyder-kernels (>= 3.0.2),
          python3-xdg,
          python3-zmq (>= 22.1.0),
          spyder-common (= ${binary:Version}),
          yapf3,
          ${misc:Depends},
          ${python3:Depends}
-Conflicts: python3-spyder-line-profiler (<= 0.2.1-1),
+Conflicts: python3-spyder-line-profiler (<< 0.4~),
            python3-spyder-memory-profiler (<= 0.2.1-1),
            python3-spyder-reports (<= 0.1.1-4),
-           python3-spyder-unittest (<= 0.4.1-1)
+           python3-spyder-unittest (<< 0.7~)
 Recommends: spyder
 Suggests: cython3,
           python3-matplotlib,
