=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,6 @@
 	rm debian/spyder-common/usr/share/spyder/images/LICENSE.txt
 
 execute_after_dh_python3:
-	rm -f $(PYBUILD_DESTDIR_python3)/usr/lib/python3/dist-packages/spyder/plugins/ipythonconsole/scripts/conda-activate.bat
-	chmod a+x $(PYBUILD_DESTDIR_python3)/usr/lib/python3/dist-packages/spyder/plugins/ipythonconsole/scripts/conda-activate.sh
 	find $(PYBUILD_DESTDIR_python3) -type d -empty -delete
 
 # tests cannot run until the package is fully installed
