## spyder 6.0.5%2Bds

=== debian/changelog ===
spyder (6.0.5+ds-6) unstable; urgency=medium

  * Reinstate and fix importlib-metadata patch

 -- Julian Gilbey <jdg@debian.org>  Sun, 11 May 2025 19:03:24 +0100

spyder (6.0.5+ds-5) unstable; urgency=medium

  * Team Upload
  * Revert changes from 6.0.5+ds-4 that breaks autopkgtest,
    handle this after Trixie release.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 12:50:59 +0200

spyder (6.0.5+ds-4) unstable; urgency=medium

  * Team Upload
  * Do not generate spurious dependency on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 01:34:04 +0200

spyder (6.0.5+ds-3) unstable; urgency=medium

  * Team Upload
  * Enable Salsa CI
  * Drop python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 15:16:19 +0200

spyder (6.0.5+ds-2) unstable; urgency=medium

  * Correct patch from -1 to depend on python3-packaging

 -- Julian Gilbey <jdg@debian.org>  Wed, 02 Apr 2025 21:45:28 +0100

spyder (6.0.5+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1101706)
  * No longer depend on python3-setuptools at runtime (with thanks to
    Alexandre Detiste)

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 14:22:30 +0100
