## spyder 6.0.5+ds

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                python3-diff-match-patch,
                python3-docutils,
                python3-github,
-               python3-importlib-metadata,
                python3-intervaltree,
                python3-ipython (>= 8.13.0),
                python3-jedi (<< 0.20~),
@@ -52,7 +51,7 @@
                python3-qdarkstyle (<< 3.3~),
                python3-qdarkstyle (>= 3.2.0),
                python3-qstylizer,
-               python3-qtawesome (>= 1.3.1),
+               python3-qtawesome (>= 1.4.0),
                python3-qtconsole (<< 5.7~),
                python3-qtconsole (>= 5.6.1),
                python3-qtpy (>= 2.4.0),
@@ -61,7 +60,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-spyder-kernels (<< 3.1.0~),
-               python3-spyder-kernels (>= 3.0.2),
+               python3-spyder-kernels (>= 3.0.3),
                python3-superqt,
                python3-textdistance,
                python3-three-merge,
@@ -69,7 +68,7 @@
                python3-xdg (>= 0.26),
                python3-yarl,
                python3-zmq (>= 24.0.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/spyder
 Vcs-Git: https://salsa.debian.org/science-team/spyder.git
@@ -126,9 +125,8 @@
          python3-qtconsole (>= 5.6.1),
          python3-qtpy (>= 2.1.0),
          python3-rope,
-         python3-setuptools,
          python3-spyder-kernels (<< 3.1.0~),
-         python3-spyder-kernels (>= 3.0.2),
+         python3-spyder-kernels (>= 3.0.3),
          python3-xdg,
          python3-zmq (>= 22.1.0),
          spyder-common (= ${binary:Version}),
