=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 export PYBUILD_NAME=spyder
-export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
+export PYBUILD_DESTDIR=debian/python3-$(PYBUILD_NAME)
 export PYBUILD_INSTALL_ARGS=--install-data=usr
 export PYBUILD_AFTER_INSTALL=python3 setup.py install_scripts --skip-build --install-dir={destdir}/usr/bin \
 	; rm -f {destdir}/usr/bin/spyder_win_post_install.py
@@ -24,13 +24,13 @@
 	rst2man debian/manpage.rst > debian/spyder.1
 
 execute_before_dh_install:
-	dh_movefiles --package=spyder --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin usr/share
+	dh_movefiles --package=spyder --sourcedir=$(PYBUILD_DESTDIR) usr/bin usr/share
 
 execute_after_dh_install:
 	rm debian/spyder-common/usr/share/spyder/images/LICENSE.txt
 
 execute_after_dh_python3:
-	find $(PYBUILD_DESTDIR_python3) -type d -empty -delete
+	find $(PYBUILD_DESTDIR) -type d -empty -delete
 
 # tests cannot run until the package is fully installed
 override_dh_auto_test:
