=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
-         python3-pytest-lazy-fixture,
          python3-pytest-mock,
          python3-pytest-order,
          python3-pytest-timeout,
@@ -34,7 +33,6 @@
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
-         python3-pytest-lazy-fixture,
          python3-pytest-mock,
          python3-pytest-order,
          python3-pytest-timeout,
@@ -46,7 +44,8 @@
          xterm,
          xvfb,
          @
-Restrictions: allow-stderr, flaky
+Restrictions: allow-stderr,
+              flaky
 
 Tests: pytest-ipythonconsole
 Depends: cython3 (>= 3.0),
@@ -59,7 +58,6 @@
          python3-pip,
          python3-pytest,
          python3-pytest-cov,
-         python3-pytest-lazy-fixture,
          python3-pytest-mock,
          python3-pytest-order,
          python3-pytest-timeout,
@@ -71,4 +69,5 @@
          xterm,
          xvfb,
          @
-Restrictions: allow-stderr, flaky
+Restrictions: allow-stderr,
+              flaky
