## spyder 6.1.3+ds

=== debian/changelog ===
spyder (6.1.3+ds-2) unstable; urgency=medium

  * Team upload.
  * drop debian patch pytest_has_runslow.patch. The --run-slow option
    had been provided by python3-pytest-astropy, not intrinsic to
    pytest. Use spyder's custom option rather than depending on the
    extra external plugin.
  * debian/rules: set SPYDER_QT_BINDING=pyqt6 to build with Qt6.
    Depends: python3-pyqt6, python3-pyqt6.qtquick,
    python3-pyqt6.qtsvg, python3-pyqt6.qtwebengine

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Mar 2026 09:51:31 +0100

spyder (6.1.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #1127879
    - fixes indent guides. Closes: #1028637
    - Depends: python3-spyder-kernels (>= 3.1.3~, << 3.2.0~),
      python3-qtawesome (>= 1.4.1~),
      python3-qtconsole (>= 5.7.1~, << 5.8~)
    - applies debian patch change_setuptools_dep_to_packaging.patch
    - deprecates debian patch icons-into-init.patch
      (Issue#23074 fixed upstream)
    - deprecates Soften-python-lsp-server-version.patch, pylint-4.patch
      Depends: python3-pylsp (>= 1.14.0~, << 1.15~),
      python3-pylsp-ruff (>= 2.3.0~, << 3.0.0~) (but skip this ruff
      dependency since ruff cannot build, see Bugs #1074734, #1108905)
  * update debian patch no_check_for_updates.patch
  * debian patch pytest_has_runslow.patch drops adding the --run-slow
    test option, since pytest already has it
  * update debian/tests
    - run tests with QT_QPA_PLATFORM=offscreen
      to avoid displaying test widgets
    - use --no-build-isolation to pip install spyder-boilerplate
      since system packages (setuptools) are needed
  * update debian/watch to v5 GitHub template

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Mar 2026 12:52:38 +0100

spyder (6.0.5+ds-8) unstable; urgency=medium

  * Team upload.
  * Bump python-lsp-server to 1.14.0 and allow pylint 4.
  * Bump some test parameters for Python 3.14.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 23:46:43 +0000

spyder (6.0.5+ds-7) unstable; urgency=medium

  * Team upload

  [ Aeliton Silva ]
  * Soften python-lsp-server version

 -- Bastian Germann <bage@debian.org>  Tue, 25 Nov 2025 14:49:12 +0100
