=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                fzf,
-               pylint (<< 4~),
+               pylint (<< 5~),
                python3-aiohttp,
                python3-all,
                python3-asyncssh,
@@ -39,28 +39,30 @@
                python3-pygments,
                python3-pylint-venv (>= 3.0.2),
                python3-pyls-spyder (>= 0.4.0),
-               python3-pylsp (<< 1.13~),
-               python3-pylsp (>= 1.12.0),
+               python3-pylsp (<< 1.15~),
+               python3-pylsp (>= 1.14.0~),
                python3-pylsp-black (<< 3.0.0~),
-               python3-pylsp-black (>= 2.0.0),
-               python3-pyqt5,
-               python3-pyqt5.qtquick,
-               python3-pyqt5.qtsvg,
-               python3-pyqt5.qtwebengine,
+               python3-pylsp-black (>= 2.0.0~),
+#               python3-pylsp-ruff (<< 3.0.0~),
+#               python3-pylsp-ruff (>= 2.3.0~),
+               python3-pyqt6,
+               python3-pyqt6.qtquick,
+               python3-pyqt6.qtsvg,
+               python3-pyqt6.qtwebengine,
                python3-pyuca,
                python3-qdarkstyle (<< 3.3~),
                python3-qdarkstyle (>= 3.2.0),
                python3-qstylizer,
-               python3-qtawesome (>= 1.4.0),
-               python3-qtconsole (<< 5.7~),
-               python3-qtconsole (>= 5.6.1),
+               python3-qtawesome (>= 1.4.1~),
+               python3-qtconsole (<< 5.8~),
+               python3-qtconsole (>= 5.7.1~),
                python3-qtpy (>= 2.4.0),
                python3-rope,
                python3-rtree,
                python3-setuptools,
                python3-sphinx,
-               python3-spyder-kernels (<< 3.1.0~),
-               python3-spyder-kernels (>= 3.0.3),
+               python3-spyder-kernels (<< 3.2.0~),
+               python3-spyder-kernels (>= 3.1.3~),
                python3-superqt,
                python3-textdistance,
                python3-three-merge,
@@ -101,7 +103,7 @@
          libjs-jquery,
          libjs-mathjax,
          pyflakes3,
-         pylint (<< 4~),
+         pylint (<< 5~),
          python3-autopep8,
          python3-docutils,
          python3-flake8,
@@ -113,20 +115,23 @@
          python3-parso (>= 0.7.0),
          python3-pycodestyle,
          python3-pydocstyle (>= 6.2.3),
-         python3-pylsp (<< 1.13~),
-         python3-pylsp (>= 1.12.0),
+         python3-pylsp (<< 1.15~),
+         python3-pylsp (>= 1.14.0~),
          python3-pylsp-black (<< 3.0.0~),
-         python3-pylsp-black (>= 2.0.0),
-         python3-pyqt5,
-         python3-pyqt5.qtquick,
-         python3-pyqt5.qtsvg,
-         python3-pyqt5.qtwebengine,
-         python3-qtconsole (<< 5.7~),
-         python3-qtconsole (>= 5.6.1),
+         python3-pylsp-black (>= 2.0.0~),
+#         python3-pylsp-ruff (<< 3.0.0~),
+#         python3-pylsp-ruff (>= 2.3.0~),
+         python3-pyqt6,
+         python3-pyqt6.qtquick,
+         python3-pyqt6.qtsvg,
+         python3-pyqt6.qtwebengine,
+         python3-qtawesome (>= 1.4.1~),
+         python3-qtconsole (<< 5.8~),
+         python3-qtconsole (>= 5.7.1~),
          python3-qtpy (>= 2.1.0),
          python3-rope,
-         python3-spyder-kernels (<< 3.1.0~),
-         python3-spyder-kernels (>= 3.0.3),
+         python3-spyder-kernels (<< 3.2.0~),
+         python3-spyder-kernels (>= 3.1.3~),
          python3-xdg,
          python3-zmq (>= 22.1.0),
          spyder-common (= ${binary:Version}),
