=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export PYBUILD_INSTALL_ARGS=--install-data=usr
 export PYBUILD_AFTER_INSTALL=python3 setup.py install_scripts --skip-build --install-dir={destdir}/usr/bin \
 	; rm -f {destdir}/usr/bin/spyder_win_post_install.py
+
+export SPYDER_QT_BINDING=pyqt6
 
 %:
 	dh $@ --buildsystem=pybuild
