=== debian/watch ===
Version: 5

Template: GitHub
Owner: spyder-ide
Project: spyder
Uversion-Mangle: auto
Dversionmangle: s/\+ds(\.?\d+)?$//
Repacksuffix: +ds
